- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# remote-ext.h File Reference

Go to the source code of this file.

## Data Structures
struct | pcap_rmtauth
| This structure keeps the information needed to autheticate the user on a remote machine. More...
struct | pcap_samp
| This structure defines the information related to sampling. More...
## Defines
#define | PCAP_BUF_SIZE 1024
| Defines the maximum buffer size in which address, port, interface names are kept.
#define | PCAP_SRC_FILE 2
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IFLOCAL 3
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IFREMOTE 4
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_FILE_STRING "file://"
| String that will be used to determine the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IF_STRING "rpcap://"
| String that will be used to determine the type of source in use (file, remote/local interface).
#define | PCAP_OPENFLAG_PROMISCUOUS 1
| Defines if the adapter has to go in promiscuous mode.
#define | PCAP_OPENFLAG_DATATX_UDP 2
| Defines if the data trasfer (in case of a remote capture) has to be done with UDP protocol.
#define | PCAP_OPENFLAG_NOCAPTURE_RPCAP 4
| Defines if the remote probe will capture its own generated traffic.
#define | PCAP_OPENFLAG_NOCAPTURE_LOCAL 8
| Defines if the local adapter will capture its own generated traffic.
#define | PCAP_OPENFLAG_MAX_RESPONSIVENESS 16
| This flag configures the adapter for maximum responsiveness.
#define | PCAP_SAMP_NOSAMP 0
| No sampling has to be done on the current capture.
#define | PCAP_SAMP_1_EVERY_N 1
| It defines that only 1 out of N packets must be returned to the user.
#define | PCAP_SAMP_FIRST_AFTER_N_MS 2
| It defines that we have to return 1 packet every N milliseconds.
#define | RPCAP_RMTAUTH_NULL 0
| It defines the NULL authentication.
#define | RPCAP_RMTAUTH_PWD 1
| It defines the username/password authentication.
#define | RPCAP_HOSTLIST_SIZE 1024
| Maximum lenght of an host name (needed for the RPCAP active mode).
## Functions
New WinPcap functions
This section lists the new functions that are able to help considerably in writing WinPcap programs because of their easiness of use.
pcap_t * | pcap_open (const char *source, int snaplen, int flags, int read_timeout, struct pcap_rmtauth *auth, char *errbuf)
int | pcap_createsrcstr (char *source, int type, const char *host, const char *port, const char *name, char *errbuf)
int | pcap_parsesrcstr (const char *source, int *type, char *host, char *port, char *name, char *errbuf)
int | pcap_findalldevs_ex (char *source, struct pcap_rmtauth *auth, pcap_if_t **alldevs, char *errbuf)
pcap_samp * | pcap_setsampling (pcap_t *p)
Remote Capture functions
SOCKET | pcap_remoteact_accept (const char *address, const char *port, const char *hostlist, char *connectinghost, struct pcap_rmtauth *auth, char *errbuf)
int | pcap_remoteact_list (char *hostlist, char sep, int size, char *errbuf)
int | pcap_remoteact_close (const char *host, char *errbuf)
void | pcap_remoteact_cleanup ()

## Detailed Description

The goal of this file it to include most of the new definitions that should be placed into the pcap.h file.

It includes all new definitions (structures and functions like pcap_open(). Some of the functions are not really a remote feature, but, right now, they are placed here.

Definition in file remote-ext.h.

## Function Documentation

int pcap_createsrcstr | ( | char * | source,
|  | int | type,
|  | const char * | host,
|  | const char * | port,
|  | const char * | name,
|  | char * | errbuf |
| ) |  |  |

int pcap_findalldevs_ex | ( | char * | source,
|  | struct pcap_rmtauth * | auth,
|  | pcap_if_t ** | alldevs,
|  | char * | errbuf |
| ) |  |  |

pcap_t* pcap_open | ( | const char * | source,
|  | int | snaplen,
|  | int | flags,
|  | int | read_timeout,
|  | struct pcap_rmtauth * | auth,
|  | char * | errbuf |
| ) |  |  |

int pcap_parsesrcstr | ( | const char * | source,
|  | int * | type,
|  | char * | host,
|  | char * | port,
|  | char * | name,
|  | char * | errbuf |
| ) |  |  |

SOCKET pcap_remoteact_accept | ( | const char * | address,
|  | const char * | port,
|  | const char * | hostlist,
|  | char * | connectinghost,
|  | struct pcap_rmtauth * | auth,
|  | char * | errbuf |
| ) |  |  |

void pcap_remoteact_cleanup | ( |  | ) |

int pcap_remoteact_close | ( | const char * | host,
|  | char * | errbuf |
| ) |  |  |

int pcap_remoteact_list | ( | char * | hostlist,
|  | char | sep,
|  | int | size,
|  | char * | errbuf |
| ) |  |  |

struct pcap_samp* pcap_setsampling | ( | pcap_t * | p | ) |

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2007 CACE Technologies. All rights reserved.